## tasksel 3.20tanglu2

=== Makefile ===
DOMAIN=debian-tasks
TASKDESC=$(DOMAIN).desc
TASKDIR=/usr/share/tasksel
DESCDIR=tasks
DESCPO=$(DESCDIR)/po
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
LANGS=ar bg bn bs ca cs cy da de dz el eo es et eu fa fi fr gl gu he hi hr hu hy id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv ta te th tl tr uk vi wo zh_CN zh_TW
LANGS_DESC=ar bg bn bs ca cs cy da de dz el eo es et et eu fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv te th tl tr uk vi wo zh_CN zh_TW
LOCALEDIR=$(DESTDIR)/usr/share/locale

all: $(TASKDESC) $(DESCPO)/build_stamp po/build_stamp

$(TASKDESC): makedesc.pl $(DESCDIR)/[a-z]??*
	./doincludes.pl $(DESCDIR)
	./makedesc.pl $(DESCDIR) $(TASKDESC)

%.o: %.c
	$(COMPILE) $<

po/build_stamp:
	$(MAKE) -C po LANGS="$(LANGS)"

updatepo:
	$(MAKE) -C po update LANGS="$(LANGS)"

$(DESCPO)/build_stamp:
	$(MAKE) -C $(DESCPO) LANGS="$(LANGS_DESC)"

updatetaskspo:
	$(MAKE) -C $(DESCPO) update LANGS="$(LANGS_DESC)"

install:
	install -d $(DESTDIR)/usr/bin \
		$(DESTDIR)/usr/lib/tasksel/tests \
		$(DESTDIR)/usr/lib/tasksel/packages \
		$(DESTDIR)/usr/share/man/man8
	install -m 755 tasksel.pl $(DESTDIR)/usr/bin/tasksel
	install -m 755 tasksel-debconf $(DESTDIR)/usr/lib/tasksel/
	install -m 755 tests/new-install $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 tests/debconf $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 tests/lang $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 packages/list $(DESTDIR)/usr/lib/tasksel/packages/
	pod2man --section=8 --center "Debian specific manpage" --release $(VERSION) tasksel.pod | gzip -9c > $(DESTDIR)/usr/share/man/man8/tasksel.8.gz
	for lang in $(LANGS); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/tasksel.mo; \
	done

install-data:
	install -d $(DESTDIR)$(TASKDIR)/descs \
		$(DESTDIR)/usr/lib/tasksel/tests
	install -m 0644 $(TASKDESC) $(DESTDIR)$(TASKDIR)/descs
	for test in tests/*; do \
		[ "$$test" = "tests/new-install" ] && continue; \
		[ "$$test" = "tests/debconf" ] && continue; \
		[ "$$test" = "tests/lang" ] && continue; \
		install -m 755 $$test $(DESTDIR)/usr/lib/tasksel/tests/; \
	done
	for package in packages/*; do \
		[ "$$package" = "packages/list" ] && continue; \
		install -m 755 $$package $(DESTDIR)/usr/lib/tasksel/packages/; \
	done
	for lang in $(LANGS_DESC); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 tasks/po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

clean:
	rm -f $(TASKDESC) *~
	$(MAKE) -C po clean
	$(MAKE) -C $(DESCPO) clean

=== debian/changelog ===
tasksel (3.20tanglu2) staging; urgency=medium

  * Change default desktop to KDE for Tanglu

 -- Jon Severinsson <jon@severinsson.net>  Thu, 06 Feb 2014 17:20:00 +0100

tasksel (3.20tanglu1) staging; urgency=low

  * kanada-desktop: Only recommend FF translation, don't depend on it
  * Rename Iceweasel to Firefox for now

 -- Matthias Klumpp <mak@debian.org>  Thu, 06 Feb 2014 16:59:48 +0100

tasksel (3.20) unstable; urgency=low

  * Drop all xonfts-* packages: bitmapped fonts are now considered
    obsolete. Closes: #735492

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Jan 2014 16:30:27 +0100

tasksel (3.19) unstable; urgency=low

  [ Joey Hess ]
  * Change default desktop to xfce.
    Will be re-evaluated in August 2014, and may change again before
    jessie is released.

  [ Maximiliano Curia ]
  * Replace network-manager-kde by plasma-widget-networkmanagement in
    task-kde-desktop. Closes: #729482

  [ Christian Perrier ]
  * Use lowercase in task short descriptions, except when acronyms or
    language names are used
  * Drop menu from the desktop task and menu-xdk from the KDE desktop
    task.
    Closes: #699390

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Jan 2014 08:28:48 +0100

tasksel (3.18) unstable; urgency=low

  * Drop manpages-ru from task-russian. Closes: #661332

 -- Christian Perrier <bubulle@debian.org>  Fri, 25 Oct 2013 06:16:07 +0200

tasksel (3.17) unstable; urgency=low

  [ Christian Perrier ]
  * Turn Recommends on ttf-sil-andika to fonts-sil-andika for
    task-hungarian-desktop. Closes: #709337
  * Replace all occurrences of ttf-* packages when they have
    been renamed to fonts-*
  * Drop ttf-tiresias, fonts-junicode, ttf-georgewilliams,
    ttf-isabella, fonts-opensymbol, fonts-sil-doulos,
    fonts-sil-charis, fonts-sil-gentium, fonts-okolaks,
    from task-hungarian-desktop. These fonts have
    nothing to do with Hungarian language.
  * Drop no longer existing ttf-arhangai package from task-cyrillic-desktop
  * Move all font packages in tasks to Recommends

  [ Yves-Alexis Perez ]
  * debian/control:
    - drop xfprint4 from Xfce task, it's unused anymore. Closes: #712482

  [ Tasks translations ]
  * Hungarian updated by Dr. Nagy Elemér Károl y

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Aug 2013 13:18:38 +0200

tasksel (3.16) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * debian/control:
    - task-xfce-desktop: replace epdfview by evince-gtk since epdfview is
      obsolete, unmaintained upstream and about to be removed from Debian.

  [ Christian Perrier ]
  * Replace ttf-sil-abyssinica by fonts-sil-abyssinica in task-amharic-
    desktop. Closes: #709154

 -- Christian Perrier <bubulle@debian.org>  Tue, 21 May 2013 19:12:47 +0200

tasksel (3.15) unstable; urgency=HIGH

  [ Christian Perrier ]
  * Add iw package to Recommends for the laptop and desktop tasks,
    so that the 'iw' command is available to users.
    Closes: #697890

  [ Kenshi Muto ]
  * Add mozc-utils-gui to japanese-desktop.

  [ Steven Chamberlain ]
  * Downgrade network-manager-gnome to Recommends, because a
    Depends relation could only be satisfied on [linux-any]
    (Closes: #704748)

  [ Thijs Kinkhorst ]
  * Language cleanups in Dutch translations.

  [ Joey Hess ]
  * Fix broken test for non-desktop systems which caused the ssh server task
    to be selected by default on systems with a desktop.

 -- Joey Hess <joeyh@debian.org>  Tue, 07 May 2013 14:17:26 -0400

=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>
Standards-Version: 3.9.3
Build-Depends: po-debconf, debhelper (>= 9), gettext, dpkg-dev (>= 1.9.0)
Vcs-Git: git://git.debian.org/git/tasksel/tasksel.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tasksel/tasksel.git

Package: tasksel
Section: admin
Priority: important
Architecture: all
Pre-Depends: debconf (>= 1.5.34) | cdebconf (>= 0.106)
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data, perl-base (>= 5.14.0-1)
Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
Description: tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Priority: important
Architecture: all
Depends: ${misc:Depends}, tasksel
Recommends: laptop-detect
Conflicts: tasksel (<< 2.67)
Description: official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.

Package: task-desktop
Architecture: all
Description: Debian desktop environment
 This task package is used to install the Debian desktop.
Depends: ${misc:Depends},
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base
Recommends:
# One of the actual desktop tasks is needed to get a full desktop environment.
# The order here is significant when installing this task manually;
# when tasksel installs this task it instead selects one of these based
# on the tasksel/desktop debconf setting.
	task-kde-desktop | task-gnome-desktop | task-xfce-desktop | task-lxde-desktop,
# For use by third-party apps.
	xdg-utils,
# mdns/zeroconf stuff
	avahi-daemon,
	libnss-mdns,
# desktop machines might not be up 24/7
	anacron,
# 3d acceleration (with free drivers)
	libgl1-mesa-dri,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# wireless networking tools (they're more and more used on desktops too)
	iw,
# sound
	alsa-utils,
	alsa-base,
# ensure pm-utils is available
	pm-utils

Package: task-gnome-desktop
Architecture: all
Description: GNOME desktop environment
 This task package is used to install the Debian desktop, featuring
 the GNOME desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# only depend on a very minimal gnome desktop, to ensure it fits on CD1
	gnome-core
Recommends:
# The full gnome desktop environment should be included if possible
# even if the larger gnome metapackage doesn't fit.
	gnome,
# GNOME support in LibreOffice
	libreoffice-gnome,
	libreoffice-evolution,
# temporarily moved from task-desktop due to #525077
	gimp,
# Package management.
	synaptic,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
	libreoffice-gcj,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome

Package: task-kde-desktop
Architecture: all
Description: KDE desktop environment
 This task package is used to install the Debian desktop, featuring
 the KDE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	kde-standard,
	kdm
Recommends:
# accessibility support
	kdeaccessibility,
# debconf kde frontend
	libqtgui4-perl,
	libqtcore4-perl,
# cd/dvd burner
	k3b,
	k3b-i18n,
# desktop network setup
	plasma-widget-networkmanagement,
# This is configured by d-i to be used to gain root on systems with
# no root password. It is not enabled by default.
	kdesudo,
# KDE libreoffice integration
	libreoffice-kde,
# Package management.
	apper,
# temporarily moved from task-desktop due to #525077
	gimp,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
	libreoffice-gcj,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print server
	system-config-printer

Package: task-lxde-desktop
Architecture: all
Description: LXDE desktop environment
 This task package is used to install the Debian desktop, featuring
 the LXDE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	lightdm,
	lxde
Recommends:
	lxtask,
	lxlauncher,
	xsane,
# libreoffice widgets using just gtk
	libreoffice-gtk,
# Package management.
	synaptic,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
	libreoffice-gcj,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print server
	system-config-printer

Package: task-xfce-desktop
Architecture: all
Description: Xfce desktop environment
 This task package is used to install the Debian desktop, featuring
 the Xfce desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# The basics of xfce, not the whole thing.
	xfce4,
	lightdm
Recommends:
# well known xfce4 enhancements
	xfce4-goodies,
	xfce4-power-manager,
	xfce4-mixer,
	xfce4-terminal,
# xfce text editor
	mousepad,
# calendar application
	orage,
# libreoffice widgets using just gtk
	libreoffice-gtk,
# xfce is really improved by using dbus
	dbus-x11,
# support for scanners
	xsane,
# media players
	vlc,
	quodlibet,
# pdf viewer
	evince-gtk,
# icon theme
	tango-icon-theme,
# network management
	network-manager-gnome,
# package management
	synaptic,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
	libreoffice-gcj,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print server
	system-config-printer,
# workaround #651495
	gstreamer0.10-alsa

Package: task-laptop
Architecture: all
Description: laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends},
	anacron
Recommends:
	acpid,
	acpi,
	acpi-support,
	pcmciautils,
# wireless networking tools
	iw,
	wireless-tools,
	wpasupplicant,
#
	avahi-autoipd,
	bluetooth,
	powertop,
	pm-utils

Package: task-web-server
Architecture: all
Description: web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends},
	apache2
Recommends:
	apache2-doc,
	analog

Package: task-mail-server
Architecture: all
Description: mail server
 This task selects a variety of packages useful for a general purpose mail
 server system.
Depends: ${misc:Depends},
	exim4
Recommends:
	dovecot-imapd,
	dovecot-pop3d,
	mailx,
	mutt,
	exim4-daemon-light,
	exim4-config,
	procmail,
	mailagent,
# HELP: what about some webmail thing?
	spamassassin,
	sa-exim,

Package: task-dns-server
Architecture: all
Description: DNS Server
 This task selects the BIND DNS server, and related documentation and
 utility packages.
Depends: ${misc:Depends},
	bind9
Recommends:
	bind9-doc,
	dnsutils,
	lwresd,
	dlint

Package: task-print-server
Architecture: all
Description: print server
 This task sets up your system to be a print server.
Depends: ${misc:Depends},
	cups,
	cups-client,
	cups-bsd
Recommends:
	foomatic-db-engine,
	printer-driver-all,
	hplip,
	hp-ppd,
	openprinting-ppds

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends},
	openssh-server
Recommends:
	openssh-client

Package: task-database-server
Architecture: all
# HELP: Would "relational database server" be a better short desk?
# HELP: the folks on #debian-devel think if you want a db server, you
# probably want to pick between postgres and mysql. Should this task live?
Description: SQL database
 This task selects client and server packages for the PostgreSQL database.
 .
 PostgreSQL is an SQL relational database, offering increasing SQL92
 compliance and some SQL3 features.  It is suitable for use with multi-user
 database access, through its facilities for transactions and fine-grained
 locking.
Depends: ${misc:Depends},
	postgresql
Recommends:
	postgresql-client,
	postgresql-doc,
	postgresql-contrib

Package: task-file-server
Architecture: all
Description: file server
 This task sets up your system to be a file server, supporting both CIFS
 and NFS.
Depends: ${misc:Depends},
	nfs-kernel-server,
	samba
Recommends:
	samba-doc,
	smbclient,
	swat,
	cifs-utils,
	winbind,
	smartmontools

Package: task-albanian-desktop
Architecture: all
Description: Albanian desktop
 This task localises the desktop in Albanian.
Depends: ${misc:Depends},
Recommends:
	firefox-l10n-sq

Package: task-amharic
Architecture: all
Description: Amharic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Amharic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	aspell-am

Package: task-amharic-desktop
Architecture: all
Description: Amharic desktop
 This task localises the desktop in Amharic.
Depends: ${misc:Depends}
Recommends:
# Move to fcitx from scim for the latter has gone from archive
	fonts-sil-abyssinica,
	fcitx,
	fcitx-table-amharic,
	fcitx-frontend-gtk2,
	fcitx-frontend-gtk3,
	fcitx-config-gtk

Package: task-amharic-kde-desktop
Architecture: all
Description: Amharic KDE desktop
 This task localises the KDE desktop in Amharic.
Depends: ${misc:Depends},
Recommends:
	fcitx-frontend-qt4,
	kde-config-fcitx

Package: task-arabic
Architecture: all
Description: Arabic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Arabic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	fonts-arabeyes,
	aspell-ar,
	aspell-ar-large,
	itools

Package: task-arabic-desktop
Architecture: all
Description: Arabic desktop
 This task localises the desktop in Arabic.
Depends: ${misc:Depends},
Recommends:
	fonts-kacst,
	fonts-farsiweb,
	firefox-l10n-ar,
	libreoffice-l10n-ar,
	hunspell-ar

Package: task-arabic-kde-desktop
Architecture: all
Description: Arabic KDE desktop
 This task localises the KDE desktop in Arabic.
Depends: ${misc:Depends},
Recommends:
	kde-l10n-ar

Package: task-asturian
Architecture: all
Description: Asturian environment
 This task installs packages and documentation in Asturian
 to help Asturian speaking people use Debian.
Depends: ${misc:Depends},
Recommends:

Package: task-asturian-desktop
Architecture: all
Description: Asturian desktop
 This task localises the desktop in Asturian.
Depends: ${misc:Depends},
Recommends:
	libreoffice-l10n-ast,
	firefox-l10n-ast

Package: task-basque
Architecture: all
Description: Basque environment
 This task installs packages and documentation in Basque
 to help Basque speaking people use Debian.
Depends: ${misc:Depends},
Recommends:
	aspell-eu-es

Package: task-basque-desktop
Architecture: all
Description: Basque desktop

## tasksel 3.29

=== debian/changelog ===
tasksel (3.29) unstable; urgency=high

  * Gnome only works on i386 and amd64, so default to xfce on other arches.
    Closes: #765839 Thanks, Adam Borowski for testing.

 -- Joey Hess <joeyh@debian.org>  Tue, 21 Oct 2014 11:21:06 -0400

tasksel (3.28) unstable; urgency=medium

  * Display cinnamon and lxde tasks. However, this increases the total
    size of the task list to 11 items, which is 1 more than the really
    desired size. So, these are the last tasks that will be added without
    removing something (or improving the UI to a true collapsable list).
    Closes: #762342

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Sep 2014 12:10:16 -0400

tasksel (3.27) unstable; urgency=high

  [ Joey Hess ]
  * Bring back Section in debian-tasks.desc; it it used by debian-cd still.
  * Add orca to lxde and mate. Closes: #762409, #762408
  * Add logic to be able to override the default desktop on a per-arch basis,
    and override to xfce for kfreebsd and hurd. This was previously done in
    several different places, including debian-cd and d-i boot parameters.
  * /usr/lib/tasksel/default_desktop is a shell library that debian-cd
    etc can use if they want to know what tasksel's default is.

  [ Cyril Brulebois ]
  * Fix Relvance/Relevant typo in tasks/mate-desktop. Closes: #762345

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Sep 2014 09:38:58 -0400

tasksel (3.26) unstable; urgency=medium

  [ Karsten Merker ]
  * add missing "-o" parameter when calling apt with
    APT::Acquire::Retries=3. Closes: #762253

 -- Cyril Brulebois <kibi@debian.org>  Sat, 20 Sep 2014 15:55:04 +0200

tasksel (3.25) unstable; urgency=medium

  * Switch default desktop to gnome, based on prelimary results from
    https://wiki.debian.org/DebianDesktop/Requalification/Jessie
  * Include MATE in the desktop task list, also based on desktop
    requalification results.
  * Remove recommends on libreoffice-gcj which has not existed for years.
    Thanks, Michael Biebl. Closes: 678793
  * Add lightdm to mate task. Closes: #761598
  * Set APT::Acquire::Retries=3 to deal with minor network glitches.
    Thanks, Petter Reinholdtsen. Closes: #761970

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Sep 2014 15:20:50 -0400

tasksel (3.24) unstable; urgency=medium

  * Add missing dependency task-cinnamon-desktop -> task-desktop
  * Add task-mate-desktop. Thanks, Mike Gabriel. Closes: #761014

 -- Joey Hess <joeyh@debian.org>  Tue, 09 Sep 2014 18:19:08 -0400

tasksel (3.23) unstable; urgency=medium

  * Individual desktop environments are displayed by tasksel.
    Currently only xfce, gnome, and kde, which are the most popular 3.
    Closes: #618915
  * Preseeding tasksel/desktop still works to select the default desktop,
    and now preseeding eg, tasksel/desktop=lxde will also cause that task
    to be displayed by tasksel even when it would not normally be.
  * Added a Parent field, which results in a simple nested hierarchy
    display. (Currently only one level deep, and not collapsible since
    debconf doesn't have an appropriate widget.)
  * Relevance field order inverted (1 is highest).
  * Some strings were fuzzied, but they were all the non-translatable
    names of desktop environments, so this does not hurt actual d-i
    localization, only the stats until those get un-fuzzied.
  * Removed mail-server, dns-server, database-server, file-server tasks,
    which were not well enough defined to be useful and whose menu 
    space will be better used for blends or openstack tasks.
    Closes: #604100
  * Add gnome-orca to task-xfce-desktop; xfce4-accessibility-settings
    can be used to enable it. Closes: #760778
  * Laptop task is no longer displayed, just automatically installed
    when laptop-detect says to. Note that in the case of a false positive,
    only a little extra space is used, and in the case of a false negative,
    nothing in the task is needed for a usable desktop environment on a
    laptop.

 -- Joey Hess <joeyh@debian.org>  Tue, 09 Sep 2014 12:18:57 -0400

tasksel (3.22) unstable; urgency=medium

  * Avoid using each() on a hash ref, which causes perl to output a
    warning that it is experimental.
  * Remove apparently no longer needed workaround for #651495.
    xfce4-mixer now recommends gstreamer0.10-alsa.
  * Add task-cinnamon-desktop. Thanks, Margarita Manterola.
    Closes: #712696

 -- Joey Hess <joeyh@debian.org>  Sun, 07 Sep 2014 12:26:26 -0400

tasksel (3.21) unstable; urgency=low

  [ Changwoo Ryu ]
  * Drop fonts-unfonts-core for task-korean-desktop

  [ Christian Perrier ]
  * Remove pcmciautils from laptop task. Closes: #698105
  * Drop acpid and acpi-support from laptop task. Closes: #758762

 -- Christian Perrier <bubulle@debian.org>  Thu, 21 Aug 2014 06:59:11 +0200

=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>
Standards-Version: 3.9.5
Build-Depends: po-debconf, debhelper (>= 9), gettext, dpkg-dev (>= 1.9.0)
Vcs-Git: git://git.debian.org/git/tasksel/tasksel.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tasksel/tasksel.git

Package: tasksel
Section: admin
Priority: important
Architecture: all
Pre-Depends: debconf (>= 1.5.34) | cdebconf (>= 0.106)
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data, perl-base (>= 5.14.0-1)
Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
Description: tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Priority: important
Architecture: all
Depends: ${misc:Depends}, tasksel
Recommends: laptop-detect
Conflicts: tasksel (<< 2.67)
Description: official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.

Package: task-desktop
Architecture: all
Description: Debian desktop environment
 This task package is used to install the Debian desktop.
Depends: ${misc:Depends}, 
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base,
Recommends:
# One of the actual desktop tasks is needed to get a full desktop environment.
# The order here is significant when installing this task manually;
# when tasksel installs this task it instead selects one of these based
# on the tasksel/desktop debconf setting.
	task-gnome-desktop | task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-cinnamon-desktop | task-mate-desktop, 
# For use by third-party apps.
	xdg-utils,
# mdns/zeroconf stuff
	avahi-daemon,
	libnss-mdns,
# desktop machines might not be up 24/7
	anacron,
# 3d acceleration (with free drivers)
	libgl1-mesa-dri,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# wireless networking tools (they're more and more used on desktops too)
	iw,
# sound
	alsa-utils,
	alsa-base,
# ensure pm-utils is available
	pm-utils,

Package: task-gnome-desktop
Architecture: all
Description: GNOME
 This task package is used to install the Debian desktop, featuring
 the GNOME desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends}, 
	task-desktop,
# only depend on a very minimal gnome desktop, to ensure it fits on CD1
	gnome-core,
Recommends:
# The full gnome desktop environment should be included if possible
# even if the larger gnome metapackage doesn't fit.
	gnome,
# GNOME support in LibreOffice
	libreoffice-gnome,
	libreoffice-evolution,
# temporarily moved from task-desktop due to #525077
	gimp,
# Package management.
	synaptic,
# firefox (ne iceweasel) is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	iceweasel,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome,

Package: task-kde-desktop
Architecture: all
Description: KDE
 This task package is used to install the Debian desktop, featuring
 the KDE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends}, 
	task-desktop,
	kde-standard,
	kdm,
Recommends:
# accessibility support
	kdeaccessibility,
# debconf kde frontend
	libqtgui4-perl,
	libqtcore4-perl,
# cd/dvd burner
	k3b,
	k3b-i18n,
# desktop network setup
	plasma-widget-networkmanagement,
# This is configured by d-i to be used to gain root on systems with
# no root password. It is not enabled by default.
	kdesudo,
# KDE libreoffice integration
	libreoffice-kde,
# Package management.
	apper,
# temporarily moved from task-desktop due to #525077
	gimp,
# firefox (ne iceweasel) is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	iceweasel,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print server
	system-config-printer,

Package: task-lxde-desktop
Architecture: all
Description: LXDE
 This task package is used to install the Debian desktop, featuring
 the LXDE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends}, 
	task-desktop,
	lightdm,
	lxde,
Recommends:
	lxtask,
	lxlauncher,
	xsane,
# libreoffice widgets using just gtk
	libreoffice-gtk,
# Package management.
	synaptic,
# firefox (ne iceweasel) is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	iceweasel,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print server
	system-config-printer,
# orca works with lxde, adding accessability
	gnome-orca,

Package: task-xfce-desktop
Architecture: all
Description: Xfce
 This task package is used to install the Debian desktop, featuring
 the Xfce desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends}, 
	task-desktop,
# The basics of xfce, not the whole thing.
	xfce4,
	lightdm,
Recommends:
# well known xfce4 enhancements
	xfce4-goodies,
	xfce4-power-manager,
	xfce4-mixer,
	xfce4-terminal,
# xfce text editor  
	mousepad,
# calendar application  
	orage,
# libreoffice widgets using just gtk
	libreoffice-gtk,
# xfce is really improved by using dbus
	dbus-x11,
# support for scanners
	xsane,
# media players
	vlc,
	quodlibet,
# pdf viewer
	evince-gtk,
# icon theme
	tango-icon-theme,
# network management
	network-manager-gnome,
# package management
	synaptic,
# firefox (ne iceweasel) is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	iceweasel,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print server
	system-config-printer,
# orca works with xfce, adding accessability
	gnome-orca,

Package: task-cinnamon-desktop
Architecture: all
Description: Cinnamon
 This task package is used to install the Debian desktop, featuring
 the Cinnamon desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends}, 
	task-desktop,
	cinnamon-desktop-environment

Package: task-mate-desktop
Architecture: all
Description: MATE
 This task package is used to install the Debian desktop, featuring
 the MATE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	mate-desktop-environment,
	lightdm,
Recommends:
# temporarily moved from task-desktop due to #525077
	gimp,
# Package management.
	synaptic,
# firefox (ne iceweasel) is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	iceweasel,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome,
# orca works with mate, adding accessability
	gnome-orca,

Package: task-laptop
Architecture: all
Description: laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends}, 
	anacron,
Recommends:
	acpi,
# wireless networking tools
	iw,
	wireless-tools,
	wpasupplicant,
#	
	avahi-autoipd,
	bluetooth,
	powertop,
	pm-utils,

Package: task-web-server
Architecture: all
Description: web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends}, 
	apache2,
Recommends:
	apache2-doc,
	analog,

Package: task-print-server
Architecture: all
Description: print server
 This task sets up your system to be a print server.
Depends: ${misc:Depends}, 
	cups,
	cups-client,
	cups-bsd,
Recommends:
	foomatic-db-engine,
	printer-driver-all,
	hplip,
	hp-ppd,
	openprinting-ppds,

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends}, 
	openssh-server,
Recommends:
	openssh-client,

Package: task-albanian-desktop
Architecture: all
Description: Albanian desktop
 This task localises the desktop in Albanian.
Depends: ${misc:Depends}, 
Recommends:
	iceweasel-l10n-sq

Package: task-amharic
Architecture: all
Description: Amharic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Amharic speakers
 to use Debian.
Depends: ${misc:Depends}, 
Recommends:
	aspell-am

Package: task-amharic-desktop
Architecture: all
Description: Amharic desktop
 This task localises the desktop in Amharic.
Depends: ${misc:Depends}
Recommends:
	fonts-sil-abyssinica,
	fcitx,
	fcitx-table-amharic,
	fcitx-frontend-gtk2,
	fcitx-frontend-gtk3,
	fcitx-config-gtk

Package: task-amharic-kde-desktop
Architecture: all
Description: Amharic KDE desktop
 This task localises the KDE desktop in Amharic.
Depends: ${misc:Depends}, 
Recommends:
	fcitx-frontend-qt4,
	kde-config-fcitx

Package: task-arabic
Architecture: all
Description: Arabic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Arabic speakers
 to use Debian.
Depends: ${misc:Depends}, 
Recommends:
	fonts-arabeyes,
	aspell-ar,
	aspell-ar-large,
	itools

Package: task-arabic-desktop
Architecture: all
Description: Arabic desktop
 This task localises the desktop in Arabic.
Depends: ${misc:Depends}, 
Recommends:
	fonts-kacst,
	fonts-farsiweb,
	iceweasel-l10n-ar,
	libreoffice-l10n-ar,
	hunspell-ar

Package: task-arabic-kde-desktop
Architecture: all
Description: Arabic KDE desktop
 This task localises the KDE desktop in Arabic.
Depends: ${misc:Depends}, 
Recommends:
	kde-l10n-ar

Package: task-asturian
Architecture: all
Description: Asturian environment
 This task installs packages and documentation in Asturian
 to help Asturian speaking people use Debian.
Depends: ${misc:Depends}, 
Recommends:

Package: task-asturian-desktop
Architecture: all
Description: Asturian desktop
 This task localises the desktop in Asturian.
Depends: ${misc:Depends}, 
Recommends:
	libreoffice-l10n-ast,
	iceweasel-l10n-ast

Package: task-basque
Architecture: all
Description: Basque environment
 This task installs packages and documentation in Basque
 to help Basque speaking people use Debian.
Depends: ${misc:Depends}, 
Recommends:
	aspell-eu-es

Package: task-basque-desktop
Architecture: all
Description: Basque desktop
 This task localises the desktop in Basque.
Depends: ${misc:Depends}, 
Recommends:
	iceweasel-l10n-eu,	
	libreoffice-l10n-eu,
	libreoffice-help-eu,
	hunspell-eu-es

Package: task-basque-kde-desktop
Architecture: all
Description: Basque KDE desktop
 This task localises the KDE desktop in Basque.
Depends: ${misc:Depends}, 
Recommends:
	kde-l10n-eu

Package: task-belarusian

## tasksel 3.30

=== debian/changelog ===
tasksel (3.30) unstable; urgency=medium

  * Team upload

  [ Joey Hess ]
  * Remove pm-utils from laptop and desktop tasks. It was only added because
    hal needed it, hal doesn't exist anymore, and systemctl is used for
    command-line suspend/hibernate now.
  * Remove libgl1-mesa-dri from the desktop task list. xorg depends on it,
    so it does not need to be explicitly listed.

  [ Samuel Thibault ]
  * When a desktop is preseeded, only enable that desktop. Closes: #771576.
  * Also install libreoffice-gtk along gnome-orca, to make LibreOffice
    accessible. Closes: #773763.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 26 Feb 2015 00:32:15 +0100

## tasksel 3.31

=== debian/changelog ===
tasksel (3.31) unstable; urgency=medium

  * Updated translations:
    - Romanian, by Adrian Seni.
    - Kazakh, by Timur Birsh (Closes: #782647).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 15 Apr 2015 18:37:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tasks
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>
+Uploaders: Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>
 Standards-Version: 3.9.5
 Build-Depends: po-debconf, debhelper (>= 9), gettext, dpkg-dev (>= 1.9.0)
 Vcs-Git: git://git.debian.org/git/tasksel/tasksel.git
@@ -52,8 +52,6 @@
 	libnss-mdns,
 # desktop machines might not be up 24/7
 	anacron,
-# 3d acceleration (with free drivers)
-	libgl1-mesa-dri,
 # Make sure that CDs etc can be ejected. May not be installed by d-i.
 	eject,
 # wireless networking tools (they're more and more used on desktops too)
@@ -61,8 +59,6 @@
 # sound
 	alsa-utils,
 	alsa-base,
-# ensure pm-utils is available
-	pm-utils,
 
 Package: task-gnome-desktop
 Architecture: all
@@ -182,6 +178,8 @@
 	system-config-printer,
 # orca works with lxde, adding accessability
 	gnome-orca,
+# libreoffice accessibility needs the GTK frontend
+	libreoffice-gtk,
 
 Package: task-xfce-desktop
 Architecture: all
@@ -238,6 +236,8 @@
 	system-config-printer,
 # orca works with xfce, adding accessability
 	gnome-orca,
+# libreoffice accessibility needs the GTK frontend
+	libreoffice-gtk,
 
 Package: task-cinnamon-desktop
 Architecture: all
@@ -281,6 +281,8 @@
 	network-manager-gnome,
 # orca works with mate, adding accessability
 	gnome-orca,
+# libreoffice accessibility needs the GTK frontend
+	libreoffice-gtk,
 
 Package: task-laptop
 Architecture: all
@@ -290,15 +292,13 @@
 	anacron,
 Recommends:
 	acpi,
+	avahi-autoipd,
+	bluetooth,
+	powertop,
 # wireless networking tools
 	iw,
 	wireless-tools,
 	wpasupplicant,
-#	
-	avahi-autoipd,
-	bluetooth,
-	powertop,
-	pm-utils,
 
 Package: task-web-server
 Architecture: all
@@ -450,8 +450,3 @@
 Architecture: all
 Description: Basque KDE desktop
  This task localises the KDE desktop in Basque.
-Depends: ${misc:Depends}, 
-Recommends:
-	kde-l10n-eu
-
-Package: task-belarusian

## tasksel 3.31+deb8u1

=== debian/changelog ===
tasksel (3.31+deb8u1) jessie; urgency=medium

  * Make task-xfce-desktop recommend evince-gtk | evince instead of just
    evince-gtk, making the GNOME and Xfce desktop tasks co-installable
    (Closes: #783571).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 09 May 2015 01:14:26 +0200

=== debian/control ===
--- 
+++ 
@@ -212,7 +212,7 @@
 	vlc,
 	quodlibet,
 # pdf viewer
-	evince-gtk,
+	evince-gtk | evince,
 # icon theme
 	tango-icon-theme,
 # network management

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=`pwd`/debian/tasksel
	$(MAKE) install-data DESTDIR=`pwd`/debian/tasksel-data

override_dh_installdocs:
	dh_installdocs --link-doc=tasksel

override_dh_perl:
	dh_perl -d

## tasksel 3.34ubuntu3

=== Makefile ===
--- 
+++ 
@@ -2,17 +2,28 @@
 TASKDESC=$(DOMAIN).desc
 TASKDIR=/usr/share/tasksel
 DESCDIR=tasks
+UDOMAIN=ubuntu-tasks
+USUITE=xenial
+UFLAVOURS=platform ubuntu kubuntu edubuntu xubuntu mythbuntu ubuntustudio lubuntu ubuntu-gnome ubuntu-mate
+UTASKDESC=$(UDOMAIN).desc
+UDESCDIR=ubuntu-tasks
 DESCPO=$(DESCDIR)/po
 VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
 LANGS=ar bg bn bs ca cs cy da de dz el eo es et eu fa fi fr gl gu he hi hr hu hy id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv ta te th tl tr uk vi wo zh_CN zh_TW
 LANGS_DESC=ar bg bn bs ca cs cy da de dz el eo es et et eu fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv te th tl tr uk vi wo zh_CN zh_TW
 LOCALEDIR=$(DESTDIR)/usr/share/locale
 
-all: $(TASKDESC) $(DESCPO)/build_stamp po/build_stamp
+all: $(TASKDESC) $(UTASKDESC) $(DESCPO)/build_stamp po/build_stamp
 
 $(TASKDESC): makedesc.pl $(DESCDIR)/[a-z]??*
 	./doincludes.pl $(DESCDIR)
 	./makedesc.pl $(DESCDIR) $(TASKDESC)
+
+$(UDESCDIR): ubuntu-seeds.pl
+	./ubuntu-seeds.pl $(UDESCDIR) $(USUITE) $(UFLAVOURS)
+
+$(UTASKDESC): makedesc.pl $(UDESCDIR)/[a-z]??*
+	./makedesc.pl $(UDESCDIR) $(UTASKDESC)
 
 %.o: %.c
 	$(COMPILE) $<
@@ -36,6 +47,8 @@
 		$(DESTDIR)/usr/share/man/man8
 	install -m 755 tasksel.pl $(DESTDIR)/usr/bin/tasksel
 	install -m 755 tasksel-debconf $(DESTDIR)/usr/lib/tasksel/
+	install -m 644 default_desktop $(DESTDIR)/usr/lib/tasksel/
+	install -m 755 filter-tasks $(DESTDIR)/usr/lib/tasksel/
 	install -m 755 tests/new-install $(DESTDIR)/usr/lib/tasksel/tests/
 	install -m 755 tests/debconf $(DESTDIR)/usr/lib/tasksel/tests/
 	install -m 755 tests/lang $(DESTDIR)/usr/lib/tasksel/tests/
@@ -48,7 +61,9 @@
 
 install-data:
 	install -d $(DESTDIR)$(TASKDIR)/descs \
+		$(DESTDIR)/usr/lib/tasksel/info \
 		$(DESTDIR)/usr/lib/tasksel/tests
+	install -m 0644 $(UTASKDESC) $(DESTDIR)$(TASKDIR)/descs
 	install -m 0644 $(TASKDESC) $(DESTDIR)$(TASKDIR)/descs
 	for test in tests/*; do \
 		[ "$$test" = "tests/new-install" ] && continue; \
@@ -56,6 +71,12 @@
 		[ "$$test" = "tests/lang" ] && continue; \
 		install -m 755 $$test $(DESTDIR)/usr/lib/tasksel/tests/; \
 	done
+	for script in info/*; do \
+		install -m 755 $$script $(DESTDIR)/usr/lib/tasksel/info/; \
+	done
+	for flavour in $(filter-out platform,$(UFLAVOURS)); do \
+		ln -s desktop.preinst $(DESTDIR)/usr/lib/tasksel/info/$$flavour-desktop.preinst; \
+	done; \
 	for package in packages/*; do \
 		[ "$$package" = "packages/list" ] && continue; \
 		install -m 755 $$package $(DESTDIR)/usr/lib/tasksel/packages/; \
@@ -66,6 +87,7 @@
 	done
 
 clean:
-	rm -f $(TASKDESC) *~
+	rm -f $(TASKDESC) $(UTASKDESC) *~
+	rm -rf debian/external-overrides
 	$(MAKE) -C po clean
 	$(MAKE) -C $(DESCPO) clean

=== debian/changelog ===
tasksel (3.34ubuntu3) xenial; urgency=medium

  * Revert Ubuntu-specific change which no longer makes sense now that
    Choices-C for the relevant questions holds task names rather than short
    descriptions (LP: #1530397):
    - Canonicalise tasksel/first or tasksel/tasks preseeding before
      displaying the main tasks question, in order that unseen preseeding of
      task names rather than descriptions works correctly.
  * Rework code to include preseeded tasks in the choices list on new
    installs regardless of filtering, since it was previously entangled with
    the canonicalisation code.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 02 Jan 2016 02:19:39 +0000

tasksel (3.34ubuntu2) xenial; urgency=medium

  * Re-add the installation of filter-tasks in Makefile, it was mistakenly
    dropped in the merge. (LP: #1528530)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 22 Dec 2015 09:57:21 -0500

tasksel (3.34ubuntu1) xenial; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add Ubuntu tasks and 'debian/rules update' target.
    - Install various *-desktop.preinst as symlinks to desktop.preinst,
      which we keep for now although it was removed from Debian.
    - Add new debconf variables tasksel/limit-tasks, tasksel/force-tasks,
      and tasksel/skip-tasks: these respectively limit the set of available
      tasks, force tasks to be installed on fresh installs while still
      displaying the task menu, and cause tasks to be neither shown nor
      installed.
    - Fix seen flag handling: you can now preseed tasksel/first without
      setting the seen flag in order to set defaults while still displaying
      the question.
    - Canonicalise tasksel/first or tasksel/tasks preseeding before
      displaying the main tasks question, in order that unseen preseeding of
      task names rather than descriptions works correctly.
    - Avoid removing packages that are in other tasks that are still
      selected or not displayed.
    - Beef up Enhances support to be able to handle disjunctive Enhances.  A
      task with "Enhances: a | b | c" will be installed if any of a, b, or c
      are installed.
    - tests/limited: New test which can be used to select tasks by default
      when particular other tasks are listed in tasksel/limit-tasks.
    - Don't explicitly mark enhancing tasks as not to be installed when
      hiding them.  This will be done anyway by other code in new-install
      mode, while in new-install mode we may want to apply a test (such as
      the new "limited" test) to an enhancing task that installs it by
      default even if the packages it enhances are not installed.
    - On new installs, include preseeded tasks in the choices list,
      regardless of filtering.
    - Drop byhand overrides file.
    - Cope with "minimal" and "standard" tasks being missing from current apt
      sources, as is the case when attempting to install from media where the
      base system is delivered as a squashfs.
  * Drop Debian task packages, as we don't use those in Ubuntu.
  * Point Ubuntu task update script at xenial.
  * Update Ubuntu tasks from seeds:
    - Removing kubuntu-active, kubuntu-active-live, ubuntustudio-audio-core,
      ubuntustudio-desktop-minimal.
    - Adding ubuntustudio-desktop-core

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 11 Dec 2015 16:11:30 -0500

tasksel (3.34) unstable; urgency=medium

  [ Samuel Thibault ]
  * Add orca to kde task.

  [ Christian Perrier ]
  * Replace fonts-droid by fonts-noto in task-chinese-desktop-* as
    a consequence of the split fo fonts-droid package by the Fonts Team

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 Nov 2015 08:53:17 +0100

tasksel (3.33) unstable; urgency=low

  [ Adriano Rafael Gomes ]
  * Updated tasks translations:
    - Brazilian Portuguese, by Adriano Rafael Gomes.

  [ Christian Perrier ]
  * Replace kdm by sddm in task-kde-desktop as part of the KDE5
    transition. Closes: #792829

  [ Scott Kitterman ]
  * Additional updates for transition to Plasma 5 (Closes: #794051):
    - Drop specific depends on Qt4 components to support the KDE debconf front
      end as they will be pulled in as needed by apper or muon
    - Update plasma-widget-networkmanagement to plasma-nm

 -- Cyril Brulebois <kibi@debian.org>  Thu, 30 Jul 2015 12:02:57 +0200

tasksel (3.32) unstable; urgency=medium

  * Make task-xfce-desktop recommend evince-gtk | evince instead of just
    evince-gtk, making the GNOME and Xfce desktop tasks co-installable
    (Closes: #783571).
  * Update dependencies of task-danish-desktop, making myspell-da an
    alternative to hunspell-da and listing the former in the first
    place (Closes: #767779), as recommended by Jonas Smedegaard.
  * Add iswiss to the dependencies of task-german (Closes: #767773),
    as suggested by Jonas Smedegaard.
  * Drop alsa-base from task-desktop, it's been merged into/replaced by
    kmod, which is pulled already (Closes: #757366). Thanks, Ansgar!
  * Add the dragonplayer media player to task-kde-desktop, as suggested
    by Lisandro Damián Nicanor Pérez Meyer (Closes: #385650).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 09 May 2015 01:06:20 +0200
